libzypp 17.37.10

zypp::resfilter::ByArch< TCompare > Struct Template Reference

Select ResObject by Arch using TCompare functor. More...

`#include <zypp/ResFilters.h>`

## Public Member Functions
| ByArch (const Arch &arch_r, TCompare cmp_r)
bool | operator() (const ResObject::constPtr &p) const

## Public Attributes
Arch | _arch
TCompare | _cmp

## Detailed Description

template<class TCompare = CompareByEQ<Arch>>
struct zypp::resfilter::ByArch< TCompare >

Select ResObject by Arch using TCompare functor.

Selects ResObject if TCompare( ResObject->arch(), _arch ) is `true`.

// use the convenience funktions to create ByArch:
byArch( somearch ); // selects ResObjects with arch == somearch
byArch( somearch, CompareByGT<Arch>() ) // arch > somearch
zypp::resfilter::byArch
ByArch< TCompare > byArch(const Arch &arch_r, TCompare cmp_r)
Definition ResFilters.h:258
zypp::CompareByGT
Definition RelCompare.h:200

Definition at line 240 of file ResFilters.h.

## Constructor & Destructor Documentation

## ◆ ByArch()

template<class TCompare = CompareByEQ<Arch>>

zypp::resfilter::ByArch< TCompare >::ByArch | ( | const Arch & | arch_r,
|  | TCompare | cmp_r )
| inline

Definition at line 242 of file ResFilters.h.

## Member Function Documentation

## ◆ operator()()

template<class TCompare = CompareByEQ<Arch>>

bool zypp::resfilter::ByArch< TCompare >::operator() | ( | const ResObject::constPtr & | p | ) | const
| inline

Definition at line 247 of file ResFilters.h.

## Member Data Documentation

## ◆ _arch

template<class TCompare = CompareByEQ<Arch>>

Arch zypp::resfilter::ByArch< TCompare >::_arch

Definition at line 252 of file ResFilters.h.

## ◆ _cmp

template<class TCompare = CompareByEQ<Arch>>

TCompare zypp::resfilter::ByArch< TCompare >::_cmp

Definition at line 253 of file ResFilters.h.

The documentation for this struct was generated from the following file:

- zypp/ResFilters.h